//
//  JuphRegistrationIDHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2021/10/19.
//  Copyright © 2021 yin chen. All rights reserved.
//

#import "JuphRegistrationIDHttpPostCmd.h"
#import "JuphRegistrationIDHttpResult.h"

static NSString *kActionUrl1 = @"/appEir/SendRegistrationID";

@implementation JuphRegistrationIDHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[JuphRegistrationIDHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[JuphRegistrationIDHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}


@end
 NSString *const kHttpJuphRegistrationIDHttpPostCmd_empid = @"empid";
 NSString *const kHttpJuphRegistrationIDHttpPostCmd_equipmentId = @"equipmentId";
 NSString *const kHttpJuphRegistrationIDHttpPostCmd_regId = @"regId";
